Bug 621623 - vdrift bundles library: bullet
vdrift bundles library: bullet
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vdrift (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DuplicSysLibsTracker
  Show dependency treegraph
 
Reported: 2010-08-05 12:58 EDT by Thomas Spura
Modified: 2011-02-20 15:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-02-19 13:09:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Spura 2010-08-05 12:58:17 EDT
vdrift builds against its own bundled library bullet, which is not allowed in Fedora.

bullet is already in fedora.

By the way, you could update to the new version.
Comment 1 Gwyn Ciesla 2010-09-13 13:06:47 EDT
I've updated to the new version, and then started work on using the system bullet.  I can get pretty far by removing the bundled version, symlinking to the system version, and applying a patch.  The big problem comes when it looks for a file that the bundled version has that the system version lacks.

At this point, I can't see any other way to proceed than to apply to FESCO for an exception.  I can post what I have if you like.
Comment 2 Thomas Spura 2010-10-26 11:13:42 EDT
(In reply to comment #1)
> I can post what I have if you like.

Sure, I'll have a look then, how about commiting the update to the new version first?
Then I can start from there and try to find a way to use the system libs instead.
Comment 3 Gwyn Ciesla 2010-10-28 12:30:15 EDT
Built in rawhide.
Comment 4 Thom Carlin 2011-02-19 08:10:32 EST
Has this moved out of rawhide?
Comment 5 Thomas Spura 2011-02-19 12:30:42 EST
(In reply to comment #4)
> Has this moved out of rawhide?

The new version of vdrift moved out of rawhide, but with bundled bullet.

vdrift-20100630-3 will be without the bundled bullet and using the system one instead.

I'm trying to do that here:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2851299

Jon, can you ask upstream to maybe consider undbundling upstream too?
Right now, you need to apply the patch and it's unbundled, maybe upstream can change the buildscripts (SConstruct files), so it's easier in the future...?
Comment 6 Thomas Spura 2011-02-19 13:09:08 EST
(In reply to comment #5)
> I'm trying to do that here:
> http://koji.fedoraproject.org/koji/taskinfo?taskID=2851299

It worked -> closing
Comment 7 Gwyn Ciesla 2011-02-20 15:11:09 EST
I'll contact upstream.  Thomas, thank you so much for doing this.  I couldn't get it to work, and it makes my skin itch that, as an FPC member, I own any packages with bundled libs.  I take care of them as I can, but this was a major thorn in my side and if you're ever near Chicago, give me a jingle and the first several beers are on me. :)

Note You need to log in before you can comment on or make changes to this bug.